// 保存页面查询等参数
/**
 *
 * @param sessionName session存储时的名字
 * @param searchQuery 列表查询参数
 */
export const saveSearchParams = (sessionName: string, searchQuery: any) => {
  sessionStorage.setItem(sessionName, JSON.stringify(searchQuery))
}
// 取出查询的参数
export const renewSearchParams = (sessionName: string) => {
  return JSON.parse(sessionStorage.getItem(sessionName) as string)
}
// 清空查询的参数
export const clearSearchParams = (sessionName: string) => {
  sessionStorage.removeItem(sessionName)
}
// 操作
const needKeep = [
  'edit',
  'detail',
  'update',
  'add',
  'create',
  'trainPlanApprove',
  'solveDetail',
  'certPrintDetail',
  'overdueReminderDetail',
]
export function keepSearchParams(to: any, sessionName: string, searchQuery: any) {
  if (needKeep.some((item: string) => to.includes(item))) {
    // 保存参数
    saveSearchParams(sessionName, searchQuery)
  }
  else {
    clearSearchParams(sessionName)
  }
}
